diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index d12c074..f86f315 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -43480,15 +43480,16 @@ InnerNumericEigenPackage(K,F,Par) : C == T
          solve1(up:SUK, eps:Par) : List(F) ==
            denom := "lcm"/[denom(c::RN) for c in coefficients up]
            up:=denom*up
-           upi := map(numer,up)$UnivariatePolynomialCategoryFunctions2(RN,SUP RN,I,SUP I)
+           upi:=map(numer,up)_
+             $UnivariatePolynomialCategoryFunctions2(RN,SUP RN,I,SUP I)
            innerSolve1(upi, eps)$InnerNumericFloatSolvePackage(I,F,Par)
      else if K is GRN then
          solve1(up:SUK, eps:Par) : List(F) ==
            denom := "lcm"/[lcm(denom real(c::GRN), denom imag(c::GRN))
                                 for c in coefficients up]
            up:=denom*up
-           upgi := map(complex(numer(real #1), numer(imag #1)),
-                      up)$UnivariatePolynomialCategoryFunctions2(GRN,SUP GRN,GI,SUP GI)
+           upgi := map((c:GRN):GI+->complex(numer(real c), numer(imag c)),up)_
+             $UnivariatePolynomialCategoryFunctions2(GRN,SUP GRN,GI,SUP GI)
            innerSolve1(upgi, eps)$InnerNumericFloatSolvePackage(GI,F,Par)
      else error "unsupported matrix type"
 
diff --git a/changelog b/changelog
index 76ecfdf..d0b841e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090604 tpd src/axiom-website/patches.html 20090604.08.tpd.patch
+20090604 tpd books/bookvol10.4 INEP +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.07.tpd.patch
 20090604 tpd books/bookvol10.4 INNMFACT +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0f75178..7337d8b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1449,5 +1449,7 @@ bookvol10.4 IMATQF +-> conversion<br/>
 bookvol10.4 INMODGCD +-> conversion<br/>
 <a href="patches/20090604.07.tpd.patch">20090604.07.tpd.patch</a>
 bookvol10.4 INNMFACT +-> conversion<br/>
+<a href="patches/20090604.07.tpd.patch">20090604.08.tpd.patch</a>
+bookvol10.4 INEP +-> conversion<br/>
  </body>
 </html>
